#!/bin/sh

killall recovery
sleep 1

mkdir -p /tmp/root

/usr/sbin/ubiattach /dev/ubi_ctrl -m 3
mount -t ubifs /dev/ubi1_0 /tmp/root

rm -f /tmp/root/etc/init.d/S90adb

cat > /tmp/root/etc/init.d/S90adb <<END
#!/bin/sh

for i in 1 2; do
	mountpoint -q /mnt && break
	sleep 1
done

if mountpoint -q /mnt; then
	true
else
	kerdrv=/lib/modules/3.10.14/kernel/driver

	insmod \$kerdrv/staging/dwc2/dwc2.ko
	insmod \$kerdrv/usb/gadget/libcomposite.ko
	insmod \$kerdrv/usb/gadget/u_serial.ko
	insmod \$kerdrv/usb/gadget/usb_f_serial.ko
	insmod \$kerdrv/usb/gadget/usb_f_acm.ko
	insmod \$kerdrv/usb/gadget/g_serial.ko
	sleep 1

	exit 0
fi

rockbox=/mnt/.rockbox
newldr=\$rockbox/rockbox.m3k
binldr=/usr/bin/rockbox

if test -f \$newldr; then
	if diff -q \$binldr \$newldr; then
		true
	else
		rm \$binldr
		cp \$newldr \$binldr
		chmod 0755 \$binldr
	fi
fi

amixer cset numid=19,iface=MIXER,name='ADC Mux' 0
amixer cset numid=4,iface=MIXER,name='Digital Capture Volume' 0
amixer cset numid=6,iface=MIXER,name='Mic Volume' 4
tinymix 11 0

if test -d \$rockbox -a -f \$binldr; then
	\$binldr &
else
	/usr/project/bin/play.sh &
fi
END
chmod a+x /tmp/root/etc/init.d/S90adb
echo -e "\nttyGS0::respawn:-/bin/sh" >> /tmp/root/etc/inittab

umount /tmp/root
